Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class StatusType

    java.lang.Object
      net.jini.lookup.entry.StatusType

All Implemented Interfaces:
  Serializable

public class StatusType
extends Object
implements Serializable

Information pertaining to the severity of a Status object.

See Also:
  `Status`, Serialized Form

Field Summary
`static StatusType` | `ERROR` An error has occurred that is preventing a service from operating correctly.
`static StatusType` | `NORMAL` A noteworthy event is occurring during the normal operation of a service.
`static StatusType` | `NOTICE` An unusual event is occurring, but the event is not necessarily a problem.
`static StatusType` | `WARNING` A problem merits attention, but is not impeding the operation of the service.

Method Summary
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR

    public static final StatusType ERROR

  An error has occurred that is preventing a service from operating correctly.

### WARNING

    public static final StatusType WARNING

  A problem merits attention, but is not impeding the operation of the service.

### NOTICE

    public static final StatusType NOTICE

  An unusual event is occurring, but the event is not necessarily a problem.

### NORMAL

    public static final StatusType NORMAL

  A noteworthy event is occurring during the normal operation of a service.

Method Detail

### toString

    public String toString()

  Returns a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved